<?php

namespace App\Entities\OrcamentoCliente;

use App\Utils\Builder;

class OrcamentoClienteBuilder implements Builder {
	protected $id;
	protected $idStatus;
	protected $idUnidade;
	protected $idCliente;
	protected $idPet;
	protected $valor;
	protected $criadoPor;
	protected $dataCriacao;
	protected $horaCriacao;
	protected $atualizadoPor;
	protected $dataAtualizacao;
	protected $horaAtualizacao;

	public function build(): OrcamentoCliente {

		$obj = new OrcamentoCliente();

		$obj->setId( $this->id );
		$obj->setIdStatus( $this->idStatus );
		$obj->setIdUnidade( $this->idUnidade );
		$obj->setIdCliente( $this->idCliente );
		$obj->setIdPet( $this->idPet );
		$obj->setValor( $this->valor );
		$obj->setCriadoPor( $this->criadoPor );
		$obj->setDataCriacao( $this->dataCriacao );
		$obj->setHoraCriacao( $this->horaCriacao );
		$obj->setAtualizadoPor( $this->atualizadoPor );
		$obj->setDataAtualizacao( $this->dataAtualizacao );
		$obj->setHoraAtualizacao( $this->horaAtualizacao );

		return $obj;

	}

	/**
	 *
	 * @param mixed $id
	 */
	public function setId($id): OrcamentoClienteBuilder {

		$this->id = $id;
		return $this;

	}

	/**
	 *
	 * @param mixed $idStatus
	 */
	public function setIdStatus($idStatus): OrcamentoClienteBuilder {

		$this->idStatus = $idStatus;
		return $this;

	}

	/**
	 *
	 * @param mixed $idUnidade
	 */
	public function setIdUnidade($idUnidade): OrcamentoClienteBuilder {

		$this->idUnidade = $idUnidade;
		return $this;

	}

	/**
	 *
	 * @param mixed $idCliente
	 */
	public function setIdCliente($idCliente): OrcamentoClienteBuilder {

		$this->idCliente = $idCliente;
		return $this;

	}

	/**
	 *
	 * @param mixed $idPet
	 */
	public function setIdPet($idPet): OrcamentoClienteBuilder {

		$this->idPet = $idPet;
		return $this;

	}

	/**
	 *
	 * @param mixed $criadoPor
	 */
	public function setCriadoPor($criadoPor): OrcamentoClienteBuilder {

		$this->criadoPor = $criadoPor;
		return $this;

	}

	/**
	 *
	 * @param mixed $dataCriacao
	 */
	public function setDataCriacao($dataCriacao): OrcamentoClienteBuilder {

		$this->dataCriacao = $dataCriacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $horaCriacao
	 */
	public function setHoraCriacao($horaCriacao): OrcamentoClienteBuilder {

		$this->horaCriacao = $horaCriacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $atualizadoPor
	 */
	public function setAtualizadoPor($atualizadoPor): OrcamentoClienteBuilder {

		$this->atualizadoPor = $atualizadoPor;
		return $this;

	}

	/**
	 *
	 * @param mixed $dataAtualizacao
	 */
	public function setDataAtualizacao($dataAtualizacao): OrcamentoClienteBuilder {

		$this->dataAtualizacao = $dataAtualizacao;
		return $this;

	}

	/**
	 *
	 * @param mixed $horaAtualizacao
	 */
	public function setHoraAtualizacao($horaAtualizacao): OrcamentoClienteBuilder {

		$this->horaAtualizacao = $horaAtualizacao;
		return $this;

	}
	/**
	 * @param mixed $valor
	 */
	public function setValor($valor): OrcamentoClienteBuilder {

		$this->valor = $valor;
		return $this;
	}



}

